#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=smstrade
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
export PYBUILD_TEST_ARGS=unset http_proxy ; unset https_proxy ; cd {build_dir} ; {interpreter} -m pytest
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests

override_dh_installchangelogs:
	dh_installchangelogs -i ChangeLog.rst

override_dh_auto_test:
	dh_auto_test -- --system=custom

%:
	dh $@ --with=python3 --buildsystem=pybuild
